import { Component, Element, h, Host, Prop, Watch } from '@stencil/core';
export class DashboardNav {
  constructor() {
    this.active = false;
    this.class = '';
    this.collapsed = false;
  }
  watchClass(newVal) {
    this.active = newVal.split(/\s+/).includes('active');
  }
  componentWillLoad() {
    let dashboard = this.element;
    while ((dashboard = dashboard.parentElement)) {
      if (dashboard.tagName.toLowerCase() === 'collapsible-dashboard') {
        break;
      }
    }
    this.dashboard = dashboard;
    if (dashboard) {
      //@ts-ignore
      dashboard === null || dashboard === void 0 ? void 0 : dashboard.getSidePanelColorPromise().then(color => { var _a; return ((_a = this.element.shadowRoot) !== null && _a !== void 0 ? _a : this.element).querySelector('.wrapper').style.setProperty('--passive-color', color); });
      //@ts-ignore
      dashboard === null || dashboard === void 0 ? void 0 : dashboard.getSidePanelBgColorPromise().then(color => { var _a; return ((_a = this.element.shadowRoot) !== null && _a !== void 0 ? _a : this.element).querySelector('.wrapper').style.setProperty('--active-color', color); });
      this.dashboard.addEventListener('collapseChange', (collapse) => {
        this.collapsed = collapse.detail;
      });
      this.collapsed = this.dashboard.collapse;
    }
  }
  componentDidRender() {
    this.watchClass(this.class);
  }
  render() {
    return (h(Host, null,
      h("a", { href: this.href, class: `wrapper ${this.collapsed ? 'collapsed' : ''} ${this.active ? 'active' : ''}` },
        h("div", { class: 'container' },
          h("div", { class: 'icon' },
            h("div", { class: 'icon-container' },
              h("slot", { name: 'icon' }))),
          h("div", { class: 'text' },
            h("slot", null))))));
  }
  static get is() { return "dashboard-nav"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["dashboard-nav.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["dashboard-nav.css"]
  }; }
  static get properties() { return {
    "class": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "class",
      "reflect": false,
      "defaultValue": "''"
    },
    "collapsed": {
      "type": "boolean",
      "mutable": true,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "collapsed",
      "reflect": true,
      "defaultValue": "false"
    },
    "href": {
      "type": "any",
      "mutable": true,
      "complexType": {
        "original": "any",
        "resolved": "any",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "href",
      "reflect": true
    }
  }; }
  static get elementRef() { return "element"; }
  static get watchers() { return [{
      "propName": "class",
      "methodName": "watchClass"
    }]; }
}
