export declare class Color {
  constructor(color?: string);
  toRGBAString(): string;
  toHSLAString(): string;
  toHexAlphaString(): string;
  toRGBString(): string;
  toHSLString(): string;
  toHexString(): string;
  getRGBA(): {
    r: number;
    g: number;
    b: number;
    a: number;
  };
  getHSLA(): {
    h: number;
    s: number;
    l: number;
    a: number;
  };
  getLightness(): number;
  isDark(threshold?: number): boolean;
  isLight(threshold?: number): boolean;
  protected r: number;
  protected g: number;
  protected b: number;
  protected h: number;
  protected s: number;
  protected l: number;
  protected a: number;
  protected hex: string;
  private static to2DigitHex;
  protected fixRGB(): void;
  protected fixHSL(): this;
  protected fixHex(): void;
  private static limitRGB;
  private static limitAlpha;
  private static limitPercentage;
  private innerParsing;
  parse(color: string): this;
}
